using System;
using DevExpress.Xpo;

namespace Types {
  public class Product : XPObject {
    public Product(Session session)
      : base(session) { }

    private string name;
    public string Name {
      get {
        return name;
      }
      set {
        SetPropertyValue("Name", ref name, value);
      }
    }

    [Association("Product-OrderLines")]
    public XPCollection<OrderLine> OrderLines {
      get {
        return GetCollection<OrderLine>("OrderLines");
      }
    }
  }
}
