﻿using System;
using DevExpress.Xpo;

namespace Types {
  public class OrderLine : XPObject {
    public OrderLine(Session session)
      : base(session) { }

    private int count;
    public int Count {
      get {
        return count;
      }
      set {
        SetPropertyValue("Count", ref count, value);
      }
    }

    private Product product;
    [Association("Product-OrderLines")]
    public Product Product {
      get {
        return product;
      }
      set {
        SetPropertyValue("Product", ref product, value);
      }
    }
  }
}